<%@ page title="<%$ Concat:UIStrings.Templates,'  ResourceBlender.NET' %>" language="C#" masterpagefile="~/Layout.master" autoeventwireup="true" inherits="Templates, ResourceBlender.NET-Compiled" enableeventvalidation="false" validaterequest="false" %>
<%@ MasterType VirtualPath="~/Layout.master" %>

<asp:Content ID="contentHead" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>

<asp:Content ID="contentMain" ContentPlaceHolderID="cntMain" Runat="Server">
    <asp:SqlDataSource ID="dsMain" runat="server"
         ConnectionString="<%$ ConnectionStrings:Default %>"
         ProviderName="<%$ ConnectionStrings:Default.ProviderName %>"
         OnInit="dsMain_Init"
         SelectCommand="">
    </asp:SqlDataSource>
    <asp:ScriptManager ID="scrMain" runat="server">
    </asp:ScriptManager>
    <asp:MultiView ID="mltMain" runat="server" ActiveViewIndex="1">
        <asp:View ID="viwManageTemplates" runat="server">
            <h1><asp:Label ID="lblManageTemplates" runat="server" Text="<%$ Resources:UIStrings, ManageTemplates %>" /></h1>
            <div class="breadcrumbs">
                <asp:HyperLink ID="lnkNavHome" runat="server" NavigateUrl="~/Default.aspx">ResourceBlender.NET</asp:HyperLink> &gt; <asp:Literal ID="Literal4" runat="server" Text="<%$ Resources:UIStrings, Templates %>" />
            </div>
            <asp:GridView ID="grdTemplates" runat="server" AllowPaging="True" 
                AllowSorting="True" AutoGenerateColumns="False" CssClass="nicetable" 
                DataSourceID="dsMain" OnRowCommand="grdTemplates_RowCommand" Width="100%">
                <PagerSettings PageButtonCount="7" />
                <Columns>
                    <asp:BoundField DataField="name" HeaderText="<%$ Resources:UIStrings, Name %>" 
                        SortExpression="name" />
                    <asp:TemplateField ItemStyle-CssClass="buttoncell" HeaderText="<%$ Resources:UIStrings, Edit %>">
                        <ItemTemplate>
                            <asp:ImageButton ID="btnEdit" runat="server" 
                                ToolTip='<%# string.Format(Resources.UIStrings.EditName, Eval("name")) %>' 
                                CommandArgument='<%# Eval("id") %>' CommandName="doedit" 
                                ImageUrl="~/images/edit.png" />
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField ItemStyle-CssClass="buttoncell" HeaderText="<%$ Resources:UIStrings, Delete %>">
                        <ItemTemplate>
                            <asp:ImageButton ID="btnDelete" runat="server" 
                                ToolTip='<%# string.Format(Resources.UIStrings.DeleteName, Eval("name")) %>' 
                                CommandArgument='<%# Eval("id") %>' CommandName="confirmdelete" 
                                ImageUrl="~/images/delete.png" />
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
                <HeaderStyle CssClass="excelHead" />
                <AlternatingRowStyle CssClass="alt" />
                <EmptyDataTemplate>
                    <p><asp:Literal ID="Literal4" runat="server" Text="<%$ Resources:UIStrings, NoTemplatesAddedDesc %>" /></p>
                </EmptyDataTemplate>
            </asp:GridView>
            <asp:LinkButton ID="lnkNewTemplate" runat="server" CssClass="lnkAdd" 
                OnClick="lnkNewTemplate_Click" Text="<%$ Resources:UIStrings, NewTemplate %>" />
        </asp:View>
        <asp:View ID="pnlAddTemplate" runat="server">
            <div class="niceform">
                <h1><asp:Literal ID="lblEditTemplates" runat="server" Text="<%$ Resources:UIStrings, NewTemplate %>" /></h1>
                <div class="breadcrumbs">
                    <asp:HyperLink ID="lnkNavHomeAdd" runat="server" NavigateUrl="~/Default.aspx">ResourceBlender.NET</asp:HyperLink> &gt; <asp:HyperLink ID="lnkNavAddTemplates" runat="server" NavigateUrl="~/Templates.aspx" Text="<%$ Resources:UIStrings, Templates %>" /> &gt; <asp:Literal runat="server" ID="litNavAddAddTemplate" Text="<%$ Resources:UIStrings, AddTemplate %>" />
                </div>
                <asp:Panel ID="pnlAddError" runat="server" Visible="false" CssClass="errorDiv">
                    <h2><asp:Literal ID="Literal9" runat="server" Text="<%$ Resources:Errors, Error %>" /></h2>
                    <asp:Label ID="lblAddError" runat="server" Text="" />
                </asp:Panel>
                <div class="formrow block">
                    <asp:Label ID="lblTemplateName" runat="server" AssociatedControlID="txtTemplateName" 
                        Text="<%$ Resources:UIStrings, TemplateName %>" />
                    <asp:TextBox ID="txtTemplateName" runat="server" ValidationGroup="addtemplate"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="vldTemplateName" runat="server" 
                        ControlToValidate="txtTemplateName" Display="Dynamic" SetFocusOnError="true"
                        ErrorMessage="<%$ Resources:Errors, TemplateNameRequired %>" ValidationGroup="addtemplate"
                        CssClass="validationerror"></asp:RequiredFieldValidator>
                </div>
                <fieldset>
                    <legend><asp:Literal ID="Literal7" runat="server" Text="<%$ Resources:UIStrings, TemplateDefinition %>" /></legend>
                    <div class="formrow block">
                        <div class="formcol">
                            <asp:Label ID="lblFileName" runat="server" AssociatedControlID="txtFileName" Text="<%$ Resources:UIStrings, Filename %>" />
                            <small class="formhint"><asp:Literal ID="Literal1" runat="server" Text="<%$ Resources:UIStrings, FilenameFormatDesc %>" /></small>
                        </div>
                        <div class="formcol">
                            <asp:TextBox ID="txtFileName" runat="server" ValidationGroup="addtemplate" TextMode="MultiLine" Rows="6" CssClass="wide block"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="vldFileName" runat="server" 
                                ControlToValidate="txtFileName" Display="Dynamic" SetFocusOnError="true" ValidationGroup="addtemplate"
                                ErrorMessage="<%$ Resources:Errors, FilenameFormatRequired %>" CssClass="validationerror"></asp:RequiredFieldValidator>
                        </div>
                    </div>
                    <div class="formrow block">
                        <div class="formcol">
                            <asp:Label ID="lblFileStart" runat="server" AssociatedControlID="txtFileStart" Text="<%$ Resources:UIStrings, FileStart %>" />
                            <small class="formhint"><asp:Literal ID="Literal2" runat="server" Text="<%$ Resources:UIStrings, FileStartFormatDesc %>" /></small>
                        </div>
                        <div class="formcol">
                            <asp:TextBox ID="txtFileStart" runat="server" ValidationGroup="addtemplate" TextMode="MultiLine" Rows="6" CssClass="wide block"></asp:TextBox>
                        </div>
                    </div>
                    <div class="formrow block">
                        <div class="formcol">
                            <asp:Label ID="lblFileEnd" runat="server" AssociatedControlID="txtFileEnd" Text="<%$ Resources:UIStrings, FileEnd %>" />
                            <small class="formhint"><asp:Literal ID="Literal3" runat="server" Text="<%$ Resources:UIStrings, FileEndFormatDesc %>" /></small>
                        </div>
                        <div class="formcol">
                            <asp:TextBox ID="txtFileEnd" runat="server" ValidationGroup="addtemplate" TextMode="MultiLine" Rows="6" CssClass="wide block"></asp:TextBox>
                        </div>
                    </div>
                    <div class="formrow block">
                        <div class="formcol">
                            <asp:Label ID="lblFileElement" runat="server" AssociatedControlID="txtFileElement" Text="<%$ Resources:UIStrings, Element %>" />
                            <small class="formhint"><asp:Literal ID="Literal5" runat="server" Text="<%$ Resources:UIStrings, ElementFormatDesc %>" /></small>
                        </div>
                        <div class="formcol">
                        <asp:TextBox ID="txtFileElement" runat="server" ValidationGroup="addtemplate" TextMode="MultiLine" Rows="6" CssClass="wide block"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="vldFileElement" runat="server" 
                            ControlToValidate="txtFileElement" Display="Dynamic" SetFocusOnError="true" ValidationGroup="addtemplate"
                            ErrorMessage="<%$ Resources:Errors, ElementFormatRequired %>" CssClass="validationerror"></asp:RequiredFieldValidator>
                        </div>
                    </div>
                </fieldset>
                <div class="formrow block actions">
                    <asp:Button ID="btnSave" runat="server" Text="<%$ Resources:UIStrings, Save %>" CssClass="uniformbutton btnSave" ValidationGroup="addtemplate"
                        OnClick="btnSave_Click" />
                </div>
            </div>
        </asp:View>
        <asp:View ID="pnlDeleteTemplate" runat="server">
            <div class="breadcrumbs">
                <asp:HyperLink ID="lnkNavHomeDelete" runat="server" NavigateUrl="~/Default.aspx">ResourceBlender.NET</asp:HyperLink> &gt; <asp:HyperLink ID="lnkNavDeleteTemplates" runat="server" NavigateUrl="~/Templates.aspx" Text="<%$ Resources:UIStrings, Templates %>" /> &gt; <asp:Literal ID="Literal6" runat="server" Text="<%$ Resources:UIStrings, DeleteTemplate %>" />
            </div>
            <div class="niceform confirmation">
                <h1><asp:Literal ID="lblConfirmDeletionHeading" runat="server" Text="<%$ Resources:UIStrings, ConfirmDeletion %>" EnableViewState="False" /></h1>
                <asp:Label ID="lblConfirmDelete" runat="server" />
                <br />
                <asp:Button ID="btnOk" runat="server" CommandName="confirmdelete" 
                    CssClass="uniformbutton btnConfirm" EnableViewState="False" onclick="btnOk_Click" 
                    Text="<%$ Resources:UIStrings, DeleteTemplate %>" />
                <asp:Button ID="btnCancelDelete" runat="server" CommandName="canceldelete" 
                    CssClass="uniformbutton btnCancel" EnableViewState="False" Text="<%$ Resources:UIStrings, Cancel %>" 
                    OnClick="btnCancelDelete_Click" />
            </div>
        </asp:View>
        <asp:View ID="viwError" runat="server">
            <div class="niceform error">
                <h2><asp:Literal ID="Literal8" runat="server" Text="<%$ Resources:Errors, Error %>" /></h2>
                <asp:Label ID="lblErrorDescription" runat="server" />
            </div>
        </asp:View>
    </asp:MultiView>
</asp:Content>